Get an image or video generation job
curl --request GET \
--url https://nsfw-api.net/v1/jobs/{job_id} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://nsfw-api.net/v1/jobs/{job_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://nsfw-api.net/v1/jobs/{job_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"id": "<string>",
"object": "generation.job",
"created": 123,
"status": "queued",
"model": "<string>",
"poll_url": "<string>",
"completed": 123,
"reserved_amount": "<string>",
"currency": "USD",
"data": [
{
"url": "<string>"
}
],
"error": {
"code": "<string>",
"message": "<string>"
},
"webhook_signing_secret": "<string>"
}{
"error": {
"message": "<string>",
"type": "<string>",
"param": "<string>",
"code": "<string>"
},
"request_id": "<string>"
}{
"error": {
"message": "<string>",
"type": "<string>",
"param": "<string>",
"code": "<string>"
},
"request_id": "<string>"
}{
"error": {
"message": "<string>",
"type": "<string>",
"param": "<string>",
"code": "<string>"
},
"request_id": "<string>"
}API Reference
Get a job
Get image or video generation status and results.
GET
https://nsfw-api.net
/
v1
/
jobs
/
{job_id}
Get an image or video generation job
curl --request GET \
--url https://nsfw-api.net/v1/jobs/{job_id} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://nsfw-api.net/v1/jobs/{job_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://nsfw-api.net/v1/jobs/{job_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"id": "<string>",
"object": "generation.job",
"created": 123,
"status": "queued",
"model": "<string>",
"poll_url": "<string>",
"completed": 123,
"reserved_amount": "<string>",
"currency": "USD",
"data": [
{
"url": "<string>"
}
],
"error": {
"code": "<string>",
"message": "<string>"
},
"webhook_signing_secret": "<string>"
}{
"error": {
"message": "<string>",
"type": "<string>",
"param": "<string>",
"code": "<string>"
},
"request_id": "<string>"
}{
"error": {
"message": "<string>",
"type": "<string>",
"param": "<string>",
"code": "<string>"
},
"request_id": "<string>"
}{
"error": {
"message": "<string>",
"type": "<string>",
"param": "<string>",
"code": "<string>"
},
"request_id": "<string>"
}Returns the current job state, exact billing fields, and short-lived signed output URLs when available.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Pattern:
^job_[A-Za-z0-9_-]{20,64}$Response
Default Response
Pattern:
^job_[A-Za-z0-9_-]{20,64}$Available options:
generation.job Available options:
queued, submitted, processing, succeeded, failed, cancelled, expired, reconciliation_required Pattern:
^[0-9]+\.[0-9]{4}$Available options:
USD Show child attributes
Show child attributes
Show child attributes
Show child attributes
Pattern:
^whsec_[A-Za-z0-9_-]{43}$Last modified on September 17, 2026